<?php
// +-------------------------------------------------------------+
// | HiveMail™ version 1.3.1
// +-------------------------------------------------------------+
// | HIVEMAIL™ IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than Hivemail or if you have otherwise received
// | this software from someone who is not a representative of
// | this organization you are involved in an illegal activity.
// +-------------------------------------------------------------+
// +-------------------------------------------------------------+

// ############################################################################
// Table structure
$tables[7] = array(
	'hive_plan' => 'ALTER TABLE hive_plan
		ADD fromusergroups VARCHAR(100) NOT NULL AFTER usergroupid,
		ADD trial TINYINT( 3 ) UNSIGNED NOT NULL AFTER canpayadvance,
		ADD triallength TINYINT( 3 ) NOT NULL AFTER trial,
		ADD triallengthunit CHAR( 1 ) DEFAULT \'m\' NOT NULL AFTER triallength',
	'hive_payment' => 'ALTER TABLE hive_payment
		ADD trial TINYINT( 3 ) UNSIGNED NOT NULL AFTER pseudo',
);

// ############################################################################
// Records
$inserts[7] = array(
	'UPDATE hive_usergroup SET perms = perms + 134217728 WHERE usergroupid NOT IN (3)',
	'UPDATE hive_setting SET value = "1110" WHERE variable = "hivepop_serverport"',
);

?>